Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
statistics
curl "https://server.smartlead.ai/api/v1/campaigns/12345/statistics?api_key=YOUR_API_KEY&limit=100&offset=0"
{
  "ok": true,
  "data": [
    {
      "campaign_id": 123,
      "sequence_number": 1,
      "sent": 1240,
      "opened": 372,
      "clicked": 89,
      "replied": 23,
      "unsubscribed": 4,
      "bounced": 18
    },
    {
      "campaign_id": 123,
      "sequence_number": 2,
      "sent": 892,
      "opened": 267,
      "clicked": 54,
      "replied": 12,
      "unsubscribed": 2,
      "bounced": 9
    }
  ],
  "offset": 0,
  "limit": 100
}

Path Parameters

campaign_id
integer
required
Campaign ID

Query Parameters

api_key
string
required
Your API key
offset
integer
List offset
limit
integer
Max number of stats to return (max 1000)
email_sequence_number
integer
Single sequence number (min: 1, max: 20)
email_status
string
Filter by email status. Possible values: opened, clicked, replied, unsubscribed, bounced
sent_time_start_date
string
Filters campaign stats with sent time greater than this date. Format: 2023-10-16 10:33:02.000Z
sent_time_end_date
string
Filters campaign stats with sent time less than this date. Format: 2023-10-16 10:33:02.000Z
curl "https://server.smartlead.ai/api/v1/campaigns/12345/statistics?api_key=YOUR_API_KEY&limit=100&offset=0"

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource does not exist or you don’t have access to it
{
  "ok": true,
  "data": [
    {
      "campaign_id": 123,
      "sequence_number": 1,
      "sent": 1240,
      "opened": 372,
      "clicked": 89,
      "replied": 23,
      "unsubscribed": 4,
      "bounced": 18
    },
    {
      "campaign_id": 123,
      "sequence_number": 2,
      "sent": 892,
      "opened": 267,
      "clicked": 54,
      "replied": 12,
      "unsubscribed": 2,
      "bounced": 9
    }
  ],
  "offset": 0,
  "limit": 100
}